Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## griffon.core
[Java] Enum GriffonApplication.Lifecycle

    java.lang.Object
      griffon.core.GriffonApplication.Lifecycle

    public enum GriffonApplication.Lifecycle

Defines the names of the lifecycle scripts.

Authors:
  Andres Almiray

Since:
  0.9.2

Enum Constant Summary
`INITIALIZE`
`READY`
`SHUTDOWN`
`STARTUP`
`STOP`

Field Summary
`private String` | `name` Defines the basic contract of a Griffon application.

Method Summary
`String` | `getName()` Returns the capitalized String representation of this Lifecycle object.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Enum Constant Detail

### INITIALIZE

    GriffonApplication.Lifecycle INITIALIZE

### READY

    GriffonApplication.Lifecycle READY

### SHUTDOWN

    GriffonApplication.Lifecycle SHUTDOWN

### STARTUP

    GriffonApplication.Lifecycle STARTUP

### STOP

    GriffonApplication.Lifecycle STOP

Field Detail

### name

    private String name

  Defines the basic contract of a Griffon application.

  Authors:
    Danno Ferrin
    Andres Almiray

Method Detail

### getName

    public String getName()

  Returns the capitalized String representation of this Lifecycle object.
  Returns:
    a capitalized String

Groovy Documentation